datacache <- new.env(hash=TRUE, parent=emptyenv())

porcinessentrezg <- function() showQCData("porcinessentrezg", datacache)
porcinessentrezg_dbconn <- function() dbconn(datacache)
porcinessentrezg_dbfile <- function() dbfile(datacache)
porcinessentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
porcinessentrezg_dbInfo <- function() dbInfo(datacache)

porcinessentrezgORGANISM <- "Sus scrofa"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "porcinessentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("PIGCHIP_DB", "porcinessentrezg", "chip porcinessentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("porcinessentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(porcinessentrezg_dbconn())
}

